Magicspam 1.0.8-1.1-trusty on Ubuntu 14.01.1

Welcome to MagicSpam for Postfix! A better spam protection in an easy to use Postfix Module. Visit here for support, frequently asked questions, wishlists and discussion groups on this great new module to make life with Postfix that much simpler.

Moderators: wizard, magicspam

Post Reply
gkasica
Posts: 7
Joined: Sat Dec 28, 2013 7:41 am

Magicspam 1.0.8-1.1-trusty on Ubuntu 14.01.1

Post by gkasica » Sun Oct 19, 2014 2:33 pm

I've just upgraded OS to the Ubuntu 14.04.1 version here and downloaded and installed Magic spam version magicspam-postfix-1.0.8-1.1-trusty and on the install I'm getting and error
Missing deactivation script. Please try reinstalling the MagicSpam package to repair.

I've run several dpkg -i magicspam-postfix-1.0.8-1.1-trusty.i386.deb attempts ll with the same error.

I can bring up the web interface, but I am concerned about how to handle this issue.

George

magicspam
Posts: 1087
Joined: Tue Oct 28, 2008 2:27 pm

Re: Magicspam 1.0.8-1.1-trusty on Ubuntu 14.01.1

Post by magicspam » Mon Oct 20, 2014 12:00 pm

Hello George,

There was an unfortunate incident with the 1.0.8-1 package that caused
issues when attempting to upgrade in specific case instances. This has
since been repaired in the 1.0.8-1.1 release (along with other items).
To resolve this condition you can run the following commands:

rm -f /var/lib/dpkg/info/magicspam-plesk.prerm
dpkg -e magicspam-plesk
dpkg -i /path/to/1.0.8-1.1/package

We hope this information helps to resolve this, and apologies for the
inconvenience.

Please let us know if you have any more questions.


-- MagicSpam Support Team --

gkasica
Posts: 7
Joined: Sat Dec 28, 2013 7:41 am

Re: Magicspam 1.0.8-1.1-trusty on Ubuntu 14.01.1

Post by gkasica » Tue Nov 25, 2014 11:22 pm

First off I have postfix not plesk version so the instructions needed some alteration as follows:
I'm also seeing this on an Ubuntu 12.04.5 system with the precise verson.

# service magicspam-httpd stop
Stopping magicspam-httpd ...done
# service magicspam-milter stop
Stopping magicspam-milter ...done

rm -f /var/lib/dpkg/info/magicspam-postfix.prerm
dpkg -e magicspam-postfix-1.0.8-1.1-precise.i386.deb
dpkg -i magicspam-postfix-1.0.8-1.1-precise.i386.deb

(Reading database ... 312408 files and directories currently installed.)
Preparing to replace magicspam-postfix 1.0.8-1.1 (using magicspam-postfix-1.0.8-1.1-precise.i386.deb) ...
Unpacking replacement magicspam-postfix ...
Setting up magicspam-postfix (1.0.8-1.1) ...
Found system id...preserving
Starting magicspam-httpd ...2014-11-26 00:17:19: (../../lighttpd/src/log.c.97) server started
done
Starting magicspam-milter ...done
================================
Installation complete! Your next
step is to point a web browser to:
https://eagle.netwrx1.com:6244
to configure and enable!
------------------------
Be sure to check out the online
forums (http://forums.magicspam.com)
Enjoy!

-- The MagicSpam Team --
Processing triggers for ureadahead ...

This still results in the same error when I try to do a deactivate from the web interface as before.

"Missing deactivation script. Please try re-installing the MagicSpam package to repair"

magicspam
Posts: 1087
Joined: Tue Oct 28, 2008 2:27 pm

Re: Magicspam 1.0.8-1.1-trusty on Ubuntu 14.01.1

Post by magicspam » Wed Nov 26, 2014 2:43 pm

Hello gkasica,

Thank you for your message, and for supporting MagicSpam.

Recently we released a newer version of MagicSpam 1.0.8-1.3, that addresses this issue. which can be downloaded from our website:

http://www.magicspam.com/download

Please note, after the upgrade, you will see that message one more time - after which it will be gone forever.

Please let us know if you have any more questions.

-- MagicSpam Support Team --

gkasica
Posts: 7
Joined: Sat Dec 28, 2013 7:41 am

Re: Magicspam 1.0.8-1.1-trusty on Ubuntu 14.01.1

Post by gkasica » Fri Nov 28, 2014 10:03 pm

Working normally again. Thank you. This can be closed.

Post Reply

Return to “MagicSpam for Postfix”

Who is online

Users browsing this forum: No registered users and 1 guest